#### D.4.25.9 groebnerBasis

Procedure from library `normaliz.lib` (see normaliz_lib).

Usage:
  groebnerBasis(ideal I);

Return:
  Returns a Gr"obner basis of the lattice ideal defined by the elements of I which have to be binomials. The lattice ideal is the restriction to the polynomial ring of the ideal of the Laurent polynomial ring generated by I. The default monomial order is DegRevLex where Deg is the total degree on the ambient polynomial ring. Lex and DegLex orders can be chosen via options.

Note:
  This function requires the previous setting of an NmzFilename. The function does not delete the written files.

Example:

    LIB "normaliz.lib";
    setNmzFilename("binomials");
    ring S = 37,(u,v,w,x,y,z),dp;
    ideal I = u2-v2, x2-y2, y2-vw, z2-xy;
    groebnerBasis(I);
    ==> _[1]=xy-z2
    ==> _[2]=x2-y2
    ==> _[3]=vw-y2
    ==> _[4]=u2-v2
    ==> _[5]=y3-xz2
    setNmzOption("lex",1);
    ==> 1
    groebnerBasis(I);
    ==> _[1]=y4-z4
    ==> _[2]=-y3+xz2
    ==> _[3]=xy-z2
    ==> _[4]=x2-y2
    ==> _[5]=vw-y2
    ==> _[6]=u2-v2
    setNmzOption("lex",0);
    ==> 1

See also: latticeIdeal.

User manual for Singular version 4.4.1, 2025, generated by texi2html.